VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| BindBufferMemoryDeviceGroupInfo (uint32_t deviceIndexCount_=0, const uint32_t *pDeviceIndices_=nullptr)
| BindBufferMemoryDeviceGroupInfo (VkBindBufferMemoryDeviceGroupInfo const &rhs)
BindBufferMemoryDeviceGroupInfo & | operator= (VkBindBufferMemoryDeviceGroupInfo const &rhs)
BindBufferMemoryDeviceGroupInfo & | setPNext (const void *pNext_)
BindBufferMemoryDeviceGroupInfo & | setDeviceIndexCount (uint32_t deviceIndexCount_)
BindBufferMemoryDeviceGroupInfo & | setPDeviceIndices (const uint32_t *pDeviceIndices_)
| operator VkBindBufferMemoryDeviceGroupInfo const & () const
| operator VkBindBufferMemoryDeviceGroupInfo & ()
bool | operator== (BindBufferMemoryDeviceGroupInfo const &rhs) const
bool | operator!= (BindBufferMemoryDeviceGroupInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | deviceIndexCount
const uint32_t * | pDeviceIndices

## Private Attributes

StructureType | sType = StructureType::eBindBufferMemoryDeviceGroupInfo

## Detailed Description

Definition at line 14276 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindBufferMemoryDeviceGroupInfo() [1/2]

VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::BindBufferMemoryDeviceGroupInfo | ( | uint32_t | deviceIndexCount_ = `0`,
|  | const uint32_t * | pDeviceIndices_ = `nullptr`
| ) |  |

inline

Definition at line 14278 of file vulkan.hpp.

: deviceIndexCount( deviceIndexCount_ )
, pDeviceIndices( pDeviceIndices_ )
{
}

## BindBufferMemoryDeviceGroupInfo() [2/2]

VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::BindBufferMemoryDeviceGroupInfo | ( | VkBindBufferMemoryDeviceGroupInfo const & | rhs | ) |

inline

Definition at line 14285 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindBufferMemoryDeviceGroupInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindBufferMemoryDeviceGroupInfo &()

VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::operator VkBindBufferMemoryDeviceGroupInfo & | ( |  | ) |

inline

Definition at line 14318 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindBufferMemoryDeviceGroupInfo*>(this);
}

## operator VkBindBufferMemoryDeviceGroupInfo const &()

VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::operator VkBindBufferMemoryDeviceGroupInfo const & | ( |  | ) | const

inline

Definition at line 14313 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindBufferMemoryDeviceGroupInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::operator!= | ( | BindBufferMemoryDeviceGroupInfo const & | rhs | ) | const

inline

Definition at line 14331 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindBufferMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::operator= | ( | VkBindBufferMemoryDeviceGroupInfo const & | rhs | ) |

inline

Definition at line 14290 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindBufferMemoryDeviceGroupInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::operator== | ( | BindBufferMemoryDeviceGroupInfo const & | rhs | ) | const

inline

Definition at line 14323 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( deviceIndexCount == rhs.deviceIndexCount )
&& ( pDeviceIndices == rhs.pDeviceIndices );
}

References deviceIndexCount, pDeviceIndices, pNext, and sType.

Referenced by operator!=().

## setDeviceIndexCount()

BindBufferMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::setDeviceIndexCount | ( | uint32_t | deviceIndexCount_ | ) |

inline

Definition at line 14301 of file vulkan.hpp.

{
deviceIndexCount = deviceIndexCount_;
return *this;
}

References deviceIndexCount.

## setPDeviceIndices()

BindBufferMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::setPDeviceIndices | ( | const uint32_t * | pDeviceIndices_ | ) |

inline

Definition at line 14307 of file vulkan.hpp.

{
pDeviceIndices = pDeviceIndices_;
return *this;
}

References pDeviceIndices.

## setPNext()

BindBufferMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14295 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## deviceIndexCount

uint32_t VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::deviceIndexCount

Definition at line 14341 of file vulkan.hpp.

Referenced by operator==(), and setDeviceIndexCount().

## pDeviceIndices

const uint32_t* VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::pDeviceIndices

Definition at line 14342 of file vulkan.hpp.

Referenced by operator==(), and setPDeviceIndices().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::pNext = nullptr

Definition at line 14340 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::sType = StructureType::eBindBufferMemoryDeviceGroupInfo

private

Definition at line 14337 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkBindBufferMemoryDeviceGroupInfo
Definition: vulkan_core.h:4089
VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::sType
StructureType sType
Definition: vulkan.hpp:14337
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::pDeviceIndices
const uint32_t * pDeviceIndices
Definition: vulkan.hpp:14342
VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::pNext
const void * pNext
Definition: vulkan.hpp:14340
VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::deviceIndexCount
uint32_t deviceIndexCount
Definition: vulkan.hpp:14341
VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::BindBufferMemoryDeviceGroupInfo
BindBufferMemoryDeviceGroupInfo(uint32_t deviceIndexCount_=0, const uint32_t *pDeviceIndices_=nullptr)
Definition: vulkan.hpp:14278
VULKAN_HPP_NAMESPACE::BindBufferMemoryDeviceGroupInfo::operator==
bool operator==(BindBufferMemoryDeviceGroupInfo const &rhs) const
Definition: vulkan.hpp:14323